PerlRequire "/etc/apache2/startup.pl"

# PerlSwitches -T
# PerlWarn On

PerlModule Apache2::Reload
PerlInitHandler Apache2::Reload
PerlSetVar ReloadAll Off
PerlSetVar ReloadDebug On

#PerlSetVar ReloadModules "CGI::Application::Demo CGI::Application::Demo::*"
#PerlSetVar ReloadModules "My::CGIApp"
PerlSetVar ReloadModules "LIMS::*"

PerlSetEnv ROSEDB_DEVINIT /home/raj/www/apps/HMDS/trunk/config/rosedb_devinit_prod.pl

# for perl-status:
#PerlModule B::TerseSize # apache can't start & works anyway

# http://perl.apache.org/docs/2.0/api/Apache2/Status.html:
<Location /perl-status>
#  SetHandler perl-script
#  PerlHandler Apache2::Status
  SetHandler modperl
  PerlOptions +GlobalRequest
  PerlResponseHandler Apache2::Status
  PerlSetVar StatusOptionsAll On
  PerlSetVar StatusDeparseOptions "-p -sC"

  PerlSetVar StatusDumper On
  PerlSetVar StatusPeek On
  PerlSetVar StatusTerse On
  PerlSetVar StatusTerseSize On
  PerlSetVar StatusTerseSizeMainSummary On

#  order deny,allow
#  deny from all
#  allow from localhost
</Location>


PerlModule ModPerl::Registry
Alias /perl/ /home/raj/www/perl/
<Location /perl>
      SetHandler perl-script
      PerlResponseHandler ModPerl::Registry
      #PerlOptions +ParseHeaders
      #PerlOptions -GlobalRequest
      Options +ExecCGI
</Location>

PerlModule LIMS::Dispatch
<Location /hmds>
  SetHandler perl-script
#  PerlResponseHandler LIMS::Dispatch
  PerlResponseHandler "sub { LIMS::Dispatch->dispatch(); return OK; }"
</Location>

#PerlModule Dispatch
# /home/raj/www/apps/dispatch_server
<location /webapp>
  SetHandler perl-script
  PerlResponseHandler Dispatch
</location>

#PerlModule My::CGIApp
# /home/raj/www/apps/dispatch_server
<location /cgiapp>
  SetHandler perl-script
  PerlResponseHandler "sub { My::CGIApp->new()->run(); return OK; }"
</location>

#PerlModule CMP # DON'T DO THIS - causes all AutoRunmodes to fail
<Location /cmp>
  SetHandler perl-script
  PerlResponseHandler CMP
#  PerlResponseHandler "sub { CMP->new->run(); return OK; }" # needs 'PerlModule CMP' + config.pl
</Location>

#PerlModule Flash
<Location /flash>
  SetHandler perl-script
  PerlResponseHandler "sub { Flash->new()->run(); return OK; }"
</Location>
